OK to apply?  The build path contained the string `build-power',
and thus the test failed spuriously.  I figured fiddling with
" $* " and *\ -p\ * was ugly as well (and error-prone if you
allow spaces in directory names!), so I chose to rather do it
The Right Way[tm].

Cheers,
Ralf

        * tests/mkinst3.test: Fix `mkdir' wrapper to not be confused
        if ``pwd`' contains the string `-p'.

Index: tests/mkinst3.test
===================================================================
RCS file: /cvs/automake/automake/tests/mkinst3.test,v
retrieving revision 1.1
diff -u -r1.1 mkinst3.test
--- tests/mkinst3.test  29 Jun 2005 21:08:19 -0000      1.1
+++ tests/mkinst3.test  26 Apr 2006 16:47:48 -0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2005  Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006  Free Software Foundation, Inc.
 #
 # This file is part of GNU Automake.
 #
@@ -41,9 +41,12 @@
 
 cat >mkdir <<'EOF'
 #!/bin/sh
-case "$*" in
-  *-p*) exit 1;;
-esac
+for arg
+do
+  case $arg in
+  -p) exit 1;;
+  esac
+done
 PATH=$AM_PATH
 export PATH
 exec mkdir "$@"


Reply via email to